#ifndef __refal__StdIO_hh__
#define __refal__StdIO_hh__

#include <rf_core.hh>

namespace refal
{

using namespace rfrt;

namespace StdIO
{

extern Expr StdIn;

extern Expr StdOut;

extern Expr StdErr;

RF_DECL (Channel);

RF_DECL (Open_m_File);

RF_DECL (Close_m_Channel);

RF_DECL (Parse_m_File_m_Name);

RF_DECL (Erase_m_File);

RF_DECL (EOF_q_);

RF_DECL (Read);

RF_DECL (Read_m_Char);

RF_DECL (Read_m_Line);

RF_DECL (Write);

RF_DECL (WriteLN);

RF_DECL (Print);

RF_DECL (PrintLN);

RF_DECL (Read_e_);

RF_DECL (Read_m_Char_e_);

RF_DECL (Read_m_Line_e_);

RF_DECL (Write_e_);

RF_DECL (WriteLN_e_);

RF_DECL (Print_e_);

RF_DECL (PrintLN_e_);

RF_DECL (Prim_m_Open_m_File);

RF_DECL (Prim_m_Close_m_Channel);

RF_DECL (Prim_m_Read);

extern Expr Read_m_Chunk_m_Size;

}

}

#endif // __refal__StdIO_hh__
