#ifndef __refal__Table_hh__
#define __refal__Table_hh__

#include <rf_core.hh>

namespace refal
{

using namespace rfrt;

namespace Table
{

RF_DECL (Table);

RF_DECL (Bind);

RF_DECL (Unbind);

RF_DECL (Table_m_Copy);

RF_DECL (Replace_m_Table);

RF_DECL (Clear_m_Table);

RF_DECL (Lookup);

RF_DECL (In_m_Table_q_);

RF_DECL (Domain);

RF_DECL (Values);

RF_DECL (Entries);

RF_DECL (Table_m_Size);

}

}

#endif // __refal__Table_hh__
