// $Id: rf_func.hh 3143 2007-10-11 21:48:13Z orlov $

#ifndef __rf_func_hh__
#define __rf_func_hh__

#include "rf_symbol.hh"

namespace rfrt
{
  class RetVal ;
  typedef RetVal (*rf_func_t)() ;
}

namespace rftype
{

using namespace rfrt;

class Func
{

  rf_func_t func;

  wchar_t const* name;

  wchar_t* rfp_name;
  size_t   length;

  inline void name_to_rfp () ;

public:

  inline Func (rf_func_t _func, wchar_t const* _name) ;

  inline RetVal operator () () const ;

  inline size_t get_name (wchar_t const** _name) ;
  inline pxx::WString to_string () ;

};

}

#endif // __rf_func_hh__
