// $Source$
// $Revision: 2187 $
// $Date: 2006-12-15 03:17:56 +0300 (Пт, 15 дек 2006) $

#ifndef __rf_string_hh__
#define __rf_string_hh__

#include "rf_types.hh"
#include "rf_object.hh"
#include "pxx_string.hh"

namespace rftype
{

using namespace rfrt;

class String :
  public Object, public pxx::WString 
{

  static ObjectRegister reg ;

public:

  inline String (size_t len = 0);

  inline String (size_t len, wchar_t fill);

  inline String (pxx::WString const& _s);

  inline String (String const& _s);

  inline String& operator = (String const& _s) ;
  
  //
  // Virtual functions from Object.
  //
  inline unsigned get_type () const ;

  inline uint32_t hash () const ;

  inline pxx::WString to_string () const ;


};
  
};

#endif // __rf_string_hh__
